import 'package:ble_connectivity/model/fhp_ble_device.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter_blue/flutter_blue.dart';

class FhpMobileBleDevice extends FhpBleDevice {
  final BluetoothDevice libDevice;

  FhpMobileBleDevice(
    this.libDevice, {
    @required connectionStatus,
    @required rssi,
    @required name,
  }) : super(connectionStatus: connectionStatus, rssi: rssi, name: name);

  connect() async {
    await libDevice.connect();
  }

  disconnect() async {
    await libDevice.disconnect();
  }
}
