import 'package:ble_connectivity/model/fhp_ble_device.dart';
import 'package:flutter_blue/flutter_blue.dart';

class MobileUtils {
  MobileUtils._();
}

extension BleDeviceStateExtention on BluetoothDeviceState {
  BleDeviceState toFhpState() {
    switch (this) {
      case BluetoothDeviceState.disconnected:
        return BleDeviceState.disconnected;
        break;
      case BluetoothDeviceState.connecting:
        return BleDeviceState.connecting;
        break;
      case BluetoothDeviceState.connected:
        return BleDeviceState.connected;
        break;
      case BluetoothDeviceState.disconnecting:
        return BleDeviceState.disconnecting;
        break;
      default:
        return BleDeviceState.unknown;
    }
  }
}
