import 'package:flutter/foundation.dart';

import 'fhp_ble_device_status.dart';

class FhpBleDevice {
  BleDeviceState connectionStatus;
  final int rssi;
  final String name;
  FhpBleDeviceStatus status = FhpBleDeviceStatus();

  bool get isConnected => connectionStatus == BleDeviceState.connected;

  FhpBleDevice({
    @required this.connectionStatus,
    @required this.rssi,
    @required this.name,
  });
}

enum BleDeviceState {
  disconnected,
  connecting,
  connected,
  disconnecting,
  unknown
}
