import 'ble_charge_state.dart';

class FhpBleDeviceStatus {
  BleChargeState chargeState;
  int chargeValue;

  AxisValue accelerometerData;
}

class AxisValue {
  final double x;
  final double y;
  final double z;

  AxisValue(this.x, this.y, this.z);
  @override
  String toString() {
    return 'x: ${x.toStringAsFixed(3)}, y: ${y.toStringAsFixed(3)}, z: ${z.toStringAsFixed(3)}';
  }
}
